EDIT - task #8509

[PESII[ERMS] Export ERMS data to PESI
09/01/2019 06:15 PM - Andreas Miller

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmadapter Estimated time: 0:00 hour
Target version: PESI 2019

Severity: normal

Description

Related issues:

Related to EDIT - bug #8508: [PESI][ERMS] ERMS import pipeline validation In Progress
Related to EDIT - feature request #8643: [PESI][FE] Adpat new PESI export to ... In Progress

Associated revisions

Revision 2c7{7f9b - 09/01/2019 06:21 PM - Andreas Muller
ref #8509 changes to ERMS export activator

Revision 06039e15 - 09/01/2019 11:20 PM - Andreas Miiller
ref #8509 update PesiExportActivatorERMS

Revision 0f099b94 - 09/01/2019 11:21 PM - Andreas Miiller
ref #8509 handle ClassCastException for Kingdom taxa

Revision 308df7ca - 09/01/2019 11:22 PM - Andreas Miiller

ref #8509 fix synonym handling in PesiTransformer

Revision 6861320c - 09/01/2019 11:30 PM - Andreas Muiller
ref #8509 update PesiExportActivatorERMS

Revision 988f3c81 - 09/02/2019 01:19 AM - Andreas Miiller
ref #8509 fix TaxonName id finding

Revision 7034419f - 09/02/2019 01:19 AM - Andreas Miiller
ref #8509 latest changes to PesiExportActivatorERMS

Revision ca169ale - 09/02/2019 04:59 PM - Andreas Miiller
ref #8509 improve findKingdomldFromTreelndex

Revision a99910b1 - 09/02/2019 05:28 PM - Andreas Miiller
ref #8509 link and notes for ERMS source export

Revision 6e9df385 - 09/04/2019 02:31 AM - Andreas Miiller
ref #1444, ref #8509 better handling of trim in mappers

Revision 30643752 - 09/04/2019 02:31 AM - Andreas Miiller
ref #1444, ref #8509 add DOI mapper

Revision 7efb614a - 09/04/2019 02:31 AM - Andreas Muiller
ref #1444, ref #8509 add last action mapping
Revision 66061a00 - 09/04/2019 02:31 AM - Andreas Miiller
ref #1444, ref #8509 fix problems in TimePeriod mapping and toXXX method

Revision 2eaad1b1 - 09/05/2019 09:47 PM - Andreas Miiller
ref #1444, ref #8509 LastAction(Date) handling for ERMS

Revision dc55d92e - 09/05/2019 09:49 PM - Andreas Miiller
ref #1444, ref #8509 Updates for ERMS reference handling

Revision b8911db5 - 09/05/2019 11:32 PM - Andreas Miiller
ref #1444, ref #8509 fix lastAction handling for ERMS

Revision 0f44e94a - 09/06/2019 08:12 AM - Andreas Miiller

ref #1444, ref #8509 improve ZoologicalNameCacheStrategy for infraspecific ranks not being subspecies

Revision a7¢1650e - 09/06/2019 09:40 AM - Andreas Miiller

ref #1444, ref #8509 improve ZoologicalNameCacheStrategy for infraspecific ranks not being subspecies
Revision b2956a5e - 09/11/2019 01:26 PM - Andreas Miiller
ref #8509 add Subterclass, Parvorder and Infrakingdom, adapt number for (sub)section, make (sub)division and (sub)phylum equal and some other

improvements for rank handling

Revision 1030c26a - 09/11/2019 01:34 PM - Andreas Miiller

ref #8509 cleanup and handle nomCode not as class variable

Revision €91902c3 - 09/11/2019 01:35 PM - Andreas Miiller
ref #8509 fix empty list bug for pesi RelTaxon export

Revision bee39571 - 09/11/2019 01:36 PM - Andreas Miiller
ref #8509 add last action mapping to PesiDescriptionExport

Revision d8053698 - 09/17/2019 01:54 PM - Andreas Miiller

ref #8509 reduce logging for multiple sources problem

Revision 3¢993316 - 09/17/2019 02:07 PM - Andreas Miiller
ref #8509 handle doEmpty tables for PesiDescriptionExport

Revision f953097d - 09/17/2019 02:10 PM - Andreas Miiller
ref #8509 adapt log4j.properties for PESI export

Revision d7f95f72 - 09/17/2019 02:18 PM - Andreas Miiller
ref #1444, ref #8508, ref #8509 improve rank handling in ERMS pipeline

Revision 6535f3fe - 09/17/2019 02:19 PM - Andreas Miiller
ref #8509 latest changes to PesiExportActivatorERMS

Revision 8226169 - 09/17/2019 02:23 PM - Andreas Miiller
ref #1444, ref #8508, ref #8509 improve rank handling in ERMS pipeline (1I)

Revision 1437e192 - 09/17/2019 02:24 PM - Andreas Miiller

ref #8509 improve isPesi taxon handling for export

Revision fa27ce80 - 09/17/2019 02:30 PM - Andreas Miiller
ref #1444, ref #8508, ref #8509 improve ERMS distribution pipeline

Revision 7487f98f - 09/17/2019 02:32 PM - Andreas Miiller

ref #1444, ref #8508, ref #8509 improve ERMS vernacular name transformations
Revision 047b2976 - 09/17/2019 02:35 PM - Andreas Miiller

ref #1444, ref #8508, ref #8509 some improvements on ERMS notes and source uses pipeline

Revision 405dc768 - 09/17/2019 02:36 PM - Andreas Miiller
ref #1444, ref #8508, ref #8509 some improvements on ERMS taxon source pipeline

Revision 91408e53 - 09/17/2019 02:37 PM - Andreas Miiller

ref #8509 increase number of taxa for description export partition

Revision ¢32dfb15 - 09/18/2019 10:48 AM - Andreas Miiller
ref #1444, ref #8508, ref #8509 improve ERMS notes pipeline

Revision b42¢7515 - 09/18/2019 10:49 AM - Andreas Miiller

ref #8509 fix missing IsraeliExclusiveEconomicZone issue

Revision d3530340 - 09/26/2019 11:25 AM - Andreas Miiller
ref #8508, ref #8509, ref #1444 add additional taxon source handling for ERMS/PESI

Revision 03241a1f - 09/26/2019 11:35 AM - Andreas Miiller
ref #8509 fix missing rank for Biota

Revision 5a251c5c¢ - 09/26/2019 11:37 AM - Andreas Miiller
ref #8509 fix RelTaxon export for ERMS / PESI

Revision f08f9f6d - 09/26/2019 11:38 AM - Andreas Miiller
ref #8508, ref #8509, ref #1444 fix source use for ERMS

Revision 2cb6ad67 - 09/26/2019 11:39 AM - Andreas Miiller
ref #8508, ref #8509, ref #1444 latest changes to ERMS import and export activators

Revision f0a9c28e - 09/26/2019 11:41 AM - Andreas Miiller
ref #8509 Adapt DbAnnotationMapper to work for PESI RelTaxon export

Revision 4ad2dc40 - 09/26/2019 11:41 AM - Andreas Miiller

ref #8509 replace deprecated INameService.allRelationships for PESI RelTaxon export

Revision 365949cd - 09/26/2019 03:04 PM - Andreas Miiller
ref #8508, ref #8509, ref #1444 implement ERMS ref types

Revision 788f4a81 - 09/27/2019 05:45 PM - Andreas Miiller
ref #8509 rename old PESI factual data exports

Revision aa30ebde - 09/28/2019 06:39 PM - Andreas Miiller
ref #1444, ref #8509 fix some import and export mappers

Revision 88175039 - 09/28/2019 06:40 PM - Andreas Miiller
ref #1444, ref #8509 add some import and export mappers

Revision f02afae4 - 09/28/2019 06:40 PM - Andreas Miiller
ref #8509 new factory method for MethodMapper

Revision 5dc4b31d - 09/28/2019 06:41 PM - Andreas Miiller
ref #8509 some helper methods for ERMS export

Revision 7e6fc953 - 09/28/2019 06:46 PM - Andreas Miiller
ref #1444, ref #8508, ref #8509 handle SpeciesExpertName in ERMS
Revision 2aed4e7ca - 09/28/2019 07:00 PM - Andreas Miiller
ref #1444, ref #8508, ref #8509 handle taxon.cacheCitation in ERMS

Revision 6ae21a57 - 09/28/2019 07:05 PM - Andreas Miiller
ref #1444, ref #8508, ref #8509 fix link handling and add ecology export to ERMS pipeline

Revision c32ee6d2 - 09/28/2019 07:06 PM - Andreas Miiller
ref #8509 adapt description source handling for ERMS export

Revision 17655285 - 09/28/2019 09:11 PM - Andreas Miiller
ref #8509 fix ERMS image export to support multiple media

Revision 81dfc7e2 - 09/28/2019 09:12 PM - Andreas Miiller
ref #8509 add CommonNameSource to doDelete for ERMS export

Revision 80911706 - 09/29/2019 12:30 AM - Andreas Miiller
ref #8509 dependend IdincMapper

Revision de3c38ba - 09/29/2019 12:32 AM - Andreas Miiller
ref #8509 fix link (and ecology) export ERMS

Revision 492451b1 - 09/29/2019 08:17 PM - Andreas Miiller
ref #8509 handle truncated titlecaches in DbObjectMapper correctly

Revision effd09f0 - 09/29/2019 08:18 PM - Andreas Miiller
ref #8509 handle non-default language textdata correctly in DbTextDataMapper

Revision a1340c69 - 09/29/2019 08:28 PM - Andreas Miiller
ref #1444, ref #8508, ref #8509 handle rank, kingdom and code correctly for Biota and Monera

Revision 9bb5ffae - 09/29/2019 08:30 PM - Andreas Miiller
ref #1444, ref #8508, ref #8509 handle truncated reference cache correctly

Revision 383b85b1 - 09/29/2019 08:32 PM - Andreas Miuller

ref #8509 fix missing non-default language notes

Revision 93c92edc - 09/29/2019 08:33 PM - Andreas Miiller
ref #8509 minor fix

Revision 33337032 - 09/30/2019 10:29 AM - Andreas Miiller
ref #1444, ref #8509, ref #8508 handle NomenclaturalStatusType in ERMS pipeline

Revision 95¢828bc - 10/06/2019 09:37 AM - Andreas Miiller
ref #8509 fix NPE in getAnnotations(by type-uuid)

Revision 8588¢491 - 10/06/2019 09:37 AM - Andreas Miiller

ref #1444, ref #8509 move ERMS synonym taxon relationship uuids to TaxonRelationship class

Revision 7dcac868 - 10/06/2019 09:44 AM - Andreas Miuller

ref #8509 add missing misapplied name and pro parte synonym relations to PESI export

Revision b607fa1a - 10/06/2019 09:46 AM - Andreas Miiller
ref #8509 handle doubtful NomenclaturalStatusType.COMB_NOV() to PESI export

Revision 397a8033 - 10/06/2019 09:48 AM - Andreas Miiller
ref #1444, ref #8508, ref #8509 move synonymTaxonRelationshiptype uuid to TaxonRelationship class
Revision 75f6d666 - 10/07/2019 12:42 AM - Andreas Miiller
ref #8509 add included taxon relationship export to PESI

Revision b8fc4ee4 - 10/07/2019 12:51 AM - Andreas Miiller

ref #1444, ref #8509 adapt IncludedinMapper and TaxonRelationshipType uuid access to ERMS needs

Revision 787b3ec2 - 10/07/2019 08:48 PM - Andreas Miiller

ref #8509 cleanup rank handling in PesiTranformer

Revision 22e0d6ae - 10/07/2019 09:23 PM - Andreas Miiller

ref #8509 use EnumSet instead of BitSet for source definition

Revision 58cd368c - 10/07/2019 09:24 PM - Andreas Miiller
ref #8509 use kingdomld to define rank for PESI export

Revision 855ea64a - 10/09/2019 09:05 PM - Andreas Miiller
ref #1444, ref #8509 add defined vocabulary to ERMS areas

Revision 1f9eb0e0 - 10/12/2019 12:05 PM - Andreas Miiller

ref #8509 fix trailing whitespace for reference titleCaches

Revision d9f92b40 - 10/12/2019 12:06 PM - Andreas Miiller
ref #8509, ref #8508 some fixes to E+M PESI export and validation

Revision 8910316 - 10/12/2019 12:07 PM - Andreas Miiller
ref #8509, ref #8508 some fixes to E+M PESI export and validation

Revision c44a40e4 - 12/24/2019 01:45 AM - Andreas Miiller
ref #8509 fix taxonStatus export for ERMS

Revision bd4c4dee - 12/26/2019 01:55 PM - Andreas Miiller
ref #1444, #8509 fix pipeline handling in ErmsimportActivator

Revision 0d26082d - 12/26/2019 01:56 PM - Andreas Miiller
ref #8509 handle new ERMS quality status "Thematic Editor"

Revision 744bd412 - 12/27/2019 11:14 PM - Andreas Miiller
ref #8509 improve tagged names handling in PESI export (ERMS and others)

Revision 0e601fdc - 12/27/2019 11:16 PM - Andreas Miiller
ref #8509 fix sourceFk handling in PESI taxon export

Revision 3d6c7bfc - 12/28/2019 11:45 AM - Andreas Miiller
ref #1444, ref #8508, ref #8509 fix ERMS taxon status handling

History

#1 - 09/01/2019 06:15 PM - Andreas Miiller
- Priority changed from New to Highest

#2 - 09/01/2019 06:15 PM - Andreas Miller

- Subject changed from [PESIJ[ERMS] Import ERMS data to CDM to [PESIJ[ERMS] Export ERMS data to PESI

#4 - 09/01/2019 06:18 PM - Andreas Miiller
- Related to bug #8508: [PESI[[ERMS] ERMS import pipeline validation added

#5 - 11/01/2019 05:25 PM - Andreas Miller
- Related to feature request #8643: [PESI]J[FE] Adpat new PESI export to FE requirements added

#6 - 11/29/2019 04:09 PM - Andreas Miiller

- Status changed from New to In Progress

#7 - 12/26/2019 06:43 PM - Andreas Miiller

- Tags set to erms
